//
//  FGHudLevelIndicator.m
//  FGBseHUD
//
//  Created by Francesco on 2/17/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////

#import "FGHudLevelIndicator.h"
#import "FGHudLevelIndicatorCell.h"

@implementation FGHudLevelIndicator

+ (Class) cellClass
{
    return [FGHudLevelIndicatorCell class];
}
- (void) setUseGradient:(BOOL) bYesNo{
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setUseGradient:bYesNo];
}

-(void) setFGLevelIndicatorStyle:(FGLevelIndicatorStyle)levelIndicatorStyle {
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setFGLevelIndicatorStyle:levelIndicatorStyle];
} 

- (void) setFillColor:(NSColor*) aColor{
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setFillColor:aColor];
}

- (void) setFillColorWarning:(NSColor*) aColor{
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setFillColorWarning:aColor];
}

- (void) setFillColorCritical:(NSColor*) aColor{
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setFillColorCritical:aColor];
}

- (void) setColorBorder:(NSColor*) aColor{
  FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setColorBorder:aColor];
}

-(void) setTitle:(NSString *) aString{
 FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setTitle:aString];
}

- (void) seImageForBarLeds:(NSImage *)imageNormal{
 FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell seImageForBarLeds:imageNormal];
}

-(void) startAnimation:(NSTimeInterval)inteval withIncrement:(double)increment{
 FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell startAnimation:inteval withIncrement:increment];
}

-(void) stopAnimation{
 FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell stopAnimation];
}

- (void) setEnableReverse:(BOOL) bYesNo{
 FGHudLevelIndicatorCell *theCell=(FGHudLevelIndicatorCell*)[self cell];
 [theCell setEnableReverse:bYesNo];

}
@end
